Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osgFX::Scribe Class Reference

This is a two-passes effect; the first pass renders the subgraph as usual while the second pass switches to wireframe mode, sets up lighting and material to obtain a fixed (user-defined) color and then renders the subgraph. More...

Inheritance diagram for osgFX::Scribe:

[legend]
List of all members.

## Public Member Functions
| Scribe ()
| Scribe (const Scribe &copy, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
| META_Effect (osgFX, Scribe,"Scribe","This is a two-passes effect;the first pass renders the subgraph as usual""while the second pass switches to wireframe mode, sets up lighting and""material to obtain a fixed(user-defined) color and then renders the subgraph.\n""This effect uses the PolygonOffset attribute to avoid Z-fighting, so it""requires at least OpenGL version 1.1.","Marco Jez")
const osg::Vec4 & | getWireframeColor () const
| get the wireframe color
void | setWireframeColor (const osg::Vec4 &color)
| set the wireframe color
float | getWireframeLineWidth () const
| get the wireframe line width
void | setWireframeLineWidth (float w)
| set the wireframe line width
## Protected Member Functions
virtual | ~Scribe ()
Scribe & | operator= (const Scribe &)
bool | define_techniques ()
| abstract method to be implemented in derived classes; its purpose if to create the techniques that can be used for obtaining the desired effect.

## Detailed Description

This is a two-passes effect; the first pass renders the subgraph as usual while the second pass switches to wireframe mode, sets up lighting and material to obtain a fixed (user-defined) color and then renders the subgraph.

This effect uses the PolygonOffset attribute to avoid Z-fighting, so it requires at least OpenGL version 1.1.

## Constructor & Destructor Documentation

osgFX::Scribe::Scribe | ( |  | ) |

osgFX::Scribe::Scribe | ( | const Scribe & | copy,
|  | const osg::CopyOp & | copyop = osg::CopyOp::SHALLOW_COPY
| ) |

virtual osgFX::Scribe::~Scribe | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

bool osgFX::Scribe::define_techniques | ( |  | ) | `[protected, virtual]`

| abstract method to be implemented in derived classes; its purpose if to create the techniques that can be used for obtaining the desired effect. You will usually call addTechnique() inside this method. Implements osgFX::Effect.

const osg::Vec4 & osgFX::Scribe::getWireframeColor | ( |  | ) | const`[inline]`

| get the wireframe color

float osgFX::Scribe::getWireframeLineWidth | ( |  | ) | const`[inline]`

| get the wireframe line width

osgFX::Scribe::META_Effect | ( | osgFX | ,
|  | Scribe | ,
|  | "Scribe" | ,
|  | "This is a two-passes effect;the first pass renders the subgraph as usual""while the second pass switches to wireframe | mode,
|  | sets up lighting and""material to obtain a fixed(user-defined) color and then renders the subgraph.\n""This effect uses the PolygonOffset attribute to avoid Z- | fighting,
|  | so it""requires at least OpenGL version 1.1." | ,
|  | "Marco Jez" |
| ) |

Scribe& osgFX::Scribe::operator= | ( | const Scribe & |  | ) | `[inline, protected]`

void osgFX::Scribe::setWireframeColor | ( | const osg::Vec4 & | color | ) | `[inline]`

| set the wireframe color

void osgFX::Scribe::setWireframeLineWidth | ( | float | w | ) | `[inline]`

| set the wireframe line width

The documentation for this class was generated from the following file:

- Scribe